/// <reference types="react" />
import { TouchableProps } from '../Basics/Touchable';
import { ColorVariant, ThemableProps } from '../Common/Theme';
export interface ButtonProps extends ThemableProps, TouchableProps {
    title: string;
    variant: ColorVariant;
    reverse: boolean;
}
export declare const Button: (props: ButtonProps) => JSX.Element;
