import React from 'react';
import { AccessibilityRole, LayoutChangeEvent, StyleProp, ViewStyle } from 'react-native';
export interface TouchableProps {
    testId?: string;
    disabled?: boolean;
    style?: StyleProp<ViewStyle>;
    accessibilityLabel?: string;
    accessibilityRole?: AccessibilityRole;
    hitSlop?: object;
    activeOpacity?: number;
    onPress?: (data: any) => void;
    onLongPress?: (data: any) => void;
    onLayout?: (event: LayoutChangeEvent) => void;
    children?: React.ReactNode;
}
export declare const Touchable: (props: TouchableProps) => JSX.Element;
