/// <reference types="react" />
import { TextProps } from 'react-native';
import { NestableProps } from '../Common/React';
import { ThemableProps, TitleConfig } from '../Common/Theme';
export interface SubtitleProps extends NestableProps, TextProps, ThemableProps {
    level: keyof TitleConfig;
}
export declare const Subtitle: (props: SubtitleProps) => JSX.Element;
